Perhaps you may want to add your own animated ascii component to
this project. This file here explains how this can be done.

First, you should go to the **subdirectory** in this project called
**animations/**.

There, you will have to create a directory that should have the same
name as your animated ascii component, that is - the main class
name. The class name should also be the same.

For example, if you have a "teddy bear" that has to be animated,
you should call the class itself:

    class TeddyBear

More accurately, since we use the **AsciiParadise namespace**,
use this namespace:

    class AsciiParadise::TeddyBear

Now, inside of the **animations/** subdirectory of this project, you
should create a directory called <b>teddy_bear/</b> like this:

    mkdir teddy_bear

It is simpler to replace all ' ' with '_', thus underscores.

Enter that directory next (<b>change directory</b>) and begin to
to create the <b>individual ascii files</b> or copy them there.

The file suffix for these text-files should be .ascii, but in principle
you could omit any file suffix; the ruby code in this project will work
with or without .ascii suffix just fine. I personally prefer to use
the **.ascii** suffix, though.

You should number your files consecutively, starting from 01, like
in the following case:

    touch teddy_bear_01.ascii
    touch teddy_bear_02.ascii
    touch teddy_bear_03.ascii
    touch teddy_bear_04.ascii
    touch teddy_bear_05.ascii

If this is too **tedious** to perform manually, use ruby to autogenerate
these files for you. This is what I am doing, via the gem called 
"roebe" and the **class Roebe::InteractiveFileCreator**. Have a look
at it - it should at the least help generate the basic files, if you
provide start and stop position, and the file suffix (optionally). :)

Each individual .ascii file is considered to be a "frame" of the class -
it should contain, in raw ASCII format, the animated part. _01 is the
first file (frame), _02 is the second file (frame), _03 is the third
file (frame) and so on.

These files will be run in the same order, so it is important to also
start in the same order - first in, first out.

You could also name these files 001 rather than 01, if you have many
.ascii files - the above is really just a general example.

Once you have <b>ordered your files</b> in that way, you need to do
one more thing:

- You have to write a subclass for your animated "pictures". In order
  to do so, you can copy an existing file (subclass) of that project
  and modify it to suit your needs. Just pick any of the other .rb
  files in the animations/ directory.

The filename that you should create, should in this case be:

    teddy_bear.rb

It should reside on the first base directory - have a look at the
layout of the gem here when you extract the gem.

After you have written your subclass, you can invoke it from
the commandline (which may require of you to add an alias; I
have all ascii-classes aliased locally).

I do hope that the above is understandable.

If you are unsure, just have a look at the overall layout of
the project; it should be quite self-explanatory. Just keep
in mind that the animations/ directory is the most important
one to look at first.

Note that the animation/ directory is a different directory -
it contains code for the Animation subclass, which is used
for all these animations.